openni_wrapper Namespace Reference

## Classes

class | DepthImage
| This class provides methods to fill a depth or disparity image. More...
class | DeviceKinect
| Concrete implementation of the interface OpenNIDevice for a MS Kinect device. More...
class | DeviceONI
| Concrete implementation of the interface OpenNIDevice for a virtual device playing back an ONI file. More...
class | DevicePrimesense
| Concrete implementation of the interface OpenNIDevice for a Primesense device. More...
class | DeviceXtionPro
| Concrete implementation of the interface OpenNIDevice for a Asus Xtion Pro device. More...
class | Image
| Image class containing just a reference to image meta data. More...
class | ImageBayerGRBG
| This class provides methods to fill a RGB or Grayscale image buffer from underlying Bayer pattern image. More...
class | ImageRGB24
| This class provides methods to fill a RGB or Grayscale image buffer from underlying RGB24 image. More...
class | ImageYUV422
| Concrete implementation of the interface Image for a YUV 422 image used by Primesense devices. More...
class | IRImage
| Class containing just a reference to IR meta data. More...
class | OpenNIDevice
| Class representing an astract device for OpenNI devices: Primesense PSDK, Microsoft Kinect, Asus Xtion Pro/Live. More...
class | OpenNIDriver
| Driver class implemented as Singleton. More...
class | OpenNIException
| General exception class. More...
class | ShiftToDepthConverter
| This class provides conversion of the openni 11-bit shift data to depth;. More...

## Functions

void | throwOpenNIException (const char *function_name, const char *file_name, unsigned line_number, const char *format,...)
| inline function used by the macro THROW_OPENNI_EXCEPTION to create an instance of OpenNIException with correct values for function, file and line_number More...

## Function Documentation

## throwOpenNIException()

void openni_wrapper::throwOpenNIException | ( | const char * | function_name,
|  | const char * | file_name,
|  | unsigned | line_number,
|  | const char * | format,
|  |  | ...
| ) |  |

inline

inline function used by the macro THROW_OPENNI_EXCEPTION to create an instance of OpenNIException with correct values for function, file and line_number

Parameters

  [in] | function_name | the function name. Will be filled in by the macro THROW_OPENNI_EXCEPTION
  [in] | file_name | the file name. Will be filled in by the macro THROW_OPENNI_EXCEPTION
  [in] | line_number | the line number. Will be filled in by the macro THROW_OPENNI_EXCEPTION
  [in] | format | the printf-style format string
  [in] | ... | optional arguments for the printf style format.

Definition at line 130 of file openni_exception.h.

References openni_wrapper::OpenNIException::OpenNIException().